import {createMainContextProxyIdentifier,createExtHostContextProxyIdentifier}from'./proxy-identifier.js';// -- proxy-identifiers are moved to `core` package
const MainContext = {
    MainThreadCommands: (createMainContextProxyIdentifier('MainThreadCommands')),
    MainThreadConfiguration: createMainContextProxyIdentifier('MainThreadConfiguration'),
    MainThreadUrls: createMainContextProxyIdentifier('MainThreadUrls'),
    MainThreadOrganization: createMainContextProxyIdentifier('MainThreadOrganization'),
    MainThreadExtensionService: createMainContextProxyIdentifier('MainThreadExtensionService'),
};
const ExtHostContext = {
    // ExtHostTreeViews: createExtId<any>('ExtHostTreeViews'),
    ExtHostCommands: createExtHostContextProxyIdentifier('ExtHostCommands'),
    ExtHostConfiguration: createExtHostContextProxyIdentifier('ExtHostConfiguration'),
    // ExtHostDocuments: createExtId<ExtHostDocumentsShape>('ExtHostDocuments'),
    ExtHostExtensionService: createExtHostContextProxyIdentifier('ExtHostExtensionService'),
    ExtHostLogService: createExtHostContextProxyIdentifier('ExtHostLogService'),
    // ExtHostTerminalService: createExtId<ExtHostTerminalServiceShape>('ExtHostTerminalService'),
    // ExtHostSCM: createExtId<ExtHostSCMShape>('ExtHostSCM'),
    // ExtHostSearch: createExtId<ExtHostSearchShape>('ExtHostSearch'),
    // ExtHostTask: createExtId<ExtHostTaskShape>('ExtHostTask'),
    ExtHostOrganization: createExtHostContextProxyIdentifier('ExtHostOrganization'),
    // ExtHostWindow: createExtId<ExtHostWindowShape>('ExtHostWindow'),
    // ExtHostWebviews: createExtId<ExtHostWebviewsShape>('ExtHostWebviews'),
    // ExtHostProgress: createMainId<ExtHostProgressShape>('ExtHostProgress',  HostIdentifier.ServerExtHost),
    // ExtHostUrls: createExtId<ExtHostUrlsShape>('ExtHostUrls'),
    // ExtHostOutputService: createMainId<ExtHostOutputServiceShape>('ExtHostOutputService', HostIdentifier.ServerExtHost),
};export{ExtHostContext,MainContext};